2013-01-17  Christopher Roy Bratusek <nano@tuxfamily.org>
	* src/lispmach.h: fix compilation on ARM [Togan Muftouglu]

2013-01-12  Christopher Roy Bratusek <nano@tuxfamily.org>
	* debian/changelog
	* debian/control
	* debian/librep16.symbols: misc updates to debian packaging scripts

2012-09-08  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/rep/util/misc.jl: add program-exists-p [Mark Triggs]

	* configure.in: bump version to 0.92.3

	* man/news.texi: update

2012-09-04  Christopher Roy Bratusek <nano@tuxfamily.org>
	* configure.in: fix stack-direction for s390 [Kim B. Heino]

2012-09-01  Christopher Roy Bratusek <nano@tuxfamily.org>
	* configure.in: fix stack-direction for ppc [Kim B. Heino]

	* install-sh: updated to 2011-01-19.21

	* man/news.texi: update

2012-07-06  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/rep/xml/reader.jl: more entities support: gt, umlauts, esszett

	* COPYING
	* lisp/rep.jl
	* lisp/rep/data.jl
	* lisp/rep/data/objects.jl
	* lisp/rep/data/queues.jl
	* lisp/rep/data/records.jl
	* lisp/rep/data/ring.jl
	* lisp/rep/data/sort.jl
	* lisp/rep/data/string-util.jl
	* lisp/rep/data/symbol-table.jl
	* lisp/rep/data/trie.jl
	* lisp/rep/ffi/util.jl
	* lisp/rep/i18n/xgettext.jl
	* lisp/rep/io/file-handlers.jl
	* lisp/rep/io/file-handlers/remote.jl
	* lisp/rep/io/file-handlers/remote/ftp.jl
	* lisp/rep/io/file-handlers/remote/rcp.jl
	* lisp/rep/io/file-handlers/remote/rep.jl
	* lisp/rep/io/file-handlers/remote/utils.jl
	* lisp/rep/io/file-handlers/tar.jl
	* lisp/rep/io/file-handlers/tilde.jl
	* lisp/rep/io/files.jl
	* lisp/rep/io/streams.jl
	* lisp/rep/lang/compat-doc.jl
	* lisp/rep/lang/debugger.jl
	* lisp/rep/lang/define.jl
	* lisp/rep/lang/doc.jl
	* lisp/rep/lang/error-helper.jl
	* lisp/rep/lang/interpreter.jl
	* lisp/rep/lang/math.jl
	* lisp/rep/lang/profiler.jl
	* lisp/rep/mail/addr.jl
	* lisp/rep/module-system.jl
	* lisp/rep/net/domain-name.jl
	* lisp/rep/net/rpc.jl
	* lisp/rep/regexp.jl
	* lisp/rep/structures.jl
	* lisp/rep/system.jl
	* lisp/rep/system/environ.jl
	* lisp/rep/system/pwd-prompt.jl
	* lisp/rep/test/autoload.jl
	* lisp/rep/test/data.jl
	* lisp/rep/test/framework.jl
	* lisp/rep/threads/condition-variable.jl
	* lisp/rep/threads/message-port.jl
	* lisp/rep/threads/mutex.jl
	* lisp/rep/threads/proxy.jl
	* lisp/rep/threads/utils.jl
	* lisp/rep/user.jl
	* lisp/rep/util/autoloader.jl
	* lisp/rep/util/base64.jl
	* lisp/rep/util/date.jl
	* lisp/rep/util/gaol.jl
	* lisp/rep/util/ispell.jl
	* lisp/rep/util/memoize.jl
	* lisp/rep/util/misc.jl
	* lisp/rep/util/repl.jl
	* lisp/rep/util/time.jl
	* lisp/rep/vm/assembler.jl
	* lisp/rep/vm/bytecode-defs.jl
	* lisp/rep/vm/bytecodes.jl
	* lisp/rep/vm/compiler.jl
	* lisp/rep/vm/compiler/basic.jl
	* lisp/rep/vm/compiler/bindings.jl
	* lisp/rep/vm/compiler/inline.jl
	* lis/lispmach.h
	* src/rep.h
	* src/rep_gh.h
	* src/rep_lisp.h
	* src/rep_subrs.h
	* src/repint.h
	* src/repint_subrs.h
	* src/unix_defs.h: fix fsf address [Togan Muftuoglu]

2012-03-24  Christopher Roy Bratusek <nano@tuxfamily.org>
	* src/streams.c: read_line no longer aborts at 400 characters [Timo Korvola]

2012-01-14  Christopher Roy Bratusek <nano@tuxfamily.org>
	* configure.in: fixed build-failure with gcc >= 4.7.0 on x86_64 [Kim B. Heino]

2012-01-13  Christopher Roy Bratusek <nano@tuxfamily.org>
	* librep.spec: sync with Fedora [Kim B. Heino]

2011-08-20  Christopher Roy Bratusek <nano@tuxfamily.org>
	* src/Makefile.in
	* lisp/Makefile.in: Fix build on OS-X 10.6 by not exporting librep.sym
	via libtool [John Harper]

	* src/librep.sym: added some missing symbols [John Harper]

	* librep.pc.in: don't ignore datarootdir

	* src/ffi.c: better version of ALIGN if undefined [John Harper]

	* configure.in: check for ffi/ffi.h if ffi.h isn't found [John Harper]

2011-06-10  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/rep/util/misc.jl: imported beautify-symbol-name and
	remove-newlines and option-index from Sawfish.
	Improved version of position by Eli Barzilay

2011-06-02  Christopher Roy Bratusek <nano@tuxfamily.org>
	* lisp/rep/util/misc.jl: added file containing misc stuff imported
	from Sawfish. currently `position' and `string->symbol'

2011-05-05  Christopher Roy Brautsek <nano@tuxfamily.org>
	* **/Makefile.in: remove VPATH to appease makepp [Daniel Pfeiffer]

2011-04-14  Christopher Bratusek <nano@tuxfamily.org>
	* configure.in
	* Makefile.in: remove version from install-paths

	* debian/librep16.install: updated

2011-04-13  Christopher Bratusek <nano@tuxfamily.org>
	* Makedefs.in
	* Makefile.in
	* configure.in
	* src/misc.c
	* build-info
	* librep.pc.in: removed architecture from install-paths

	* Makefile.in: added debclean rule
	               improved distclean rule
		       improved gitclean rule

	* debian/**: merged packaing scripts from Ian Zimmermann

	* config.h.in: removed from GIT

	* config.guess
	* config.sub: added

2011-04-05  Christopher Bratusek <nano@tuxfamily.org>
	* src/unix_dl.c
	* src/lispcmds.c: load shared-objects rather than libtool-archvies
	 -- Kim B. Heino

2011-03-18  Christopher Bratusek <nano@tuxfamily.org>
	* man/rep.texi: fixed a typo


2011-02-27  Christopher Bratusek <zanghar@freenet.de>
	* debian/watch
	* debian/changelog.in
	* debian/control.in
	* debian/README.source: removed

	* configure.in: don't substitude gitdate
	                don't generate debian/changelog
			don't generate debian/control

	* debian/rules: major update

	* debian/rep-doc.docs
	* debian/control
	* debian/changelog: added

	* debian/rep.links
	* debian/librep-dbg.links
	* debian/librep-dev.links: updated

	* debian/patches/00list
	* debian/patches/series: renamed file

	* debian/source/format: changed to 3.0 (quilt)

2011-02-05  Teika Kazura <teika@lavabit.com>
	* lisp/rep/system.jl
	* man/lang.texi: Bugfix of "remove-hook-by-name"; exported the
	function.  This fixes the bug in commit
	c7da736dbdf0cb8b70d0289ebdda03036ec71add.  Also bugfix in
	lang.texi is included.

	* lisp/rep/lang/interpreter.jl
	* man/lang.texi
	* man/news.texi: Implements new function "function-name".

	* lisp/rep/system.jl: Minor change in "remove-hook-by-name".
	It now relies on "function-name".

	* lisp/rep/system.jl
	* man/lang.texi
	* man/news.texi: Doc. New section "Module Limits"
	Also some minor fixes.

	* lisp/rep/system.jl:
	* man/news.texi: Minor bugfix in "remove-hook".
	It doesn't signal an error even if the hook is unbound.

2011-01-15  Christopher Bratusek <zanghar@freenet.de>
	* lisp/rep/system.jl: added remove-hook-by-name [Teika Kazura]

	* librep.pc.in: fixed a possible build issue in rep-gtk or sawfish
                        (reported on fedora 14)

	* man/lang.texi:
	* man/news.texi: updated

2010-12-17  Christopher Bratusek <zanghar@freenet.de>
	* debian/control: depend on either libgmp10-dev or libgmp3-dev
	suggest either libreadline6-dbg or libreadline5-dbg
	-- (compat with Debian/Experimental)

2010-12-12  Teika Kazura <teika@lavabit.com>
	* librep.doap
	* librep.spec.in
	* lisp/rep/system.jl
	* man/lang.texi
	* man/news.texi
	* src/rep_lisp.h: Doc
	New section on module alias.
	That add-hook always add a new element, even if it's already
	present. Other misc doc.

2010-09-25  Christopher Bratusek <zanghar@freenet.de>
	* lisp/Makefile.in
	* lisp/rep/ffi/util.jl: added ffi utils. [Sergey Bolshakov]

	* librep.spec.in: fixed. [Kim B. Heino]

2010-09-10  Christopher Bratusek <zanghar@freenet.de>
	* src/Makefile.in: fix uninstall rule

2010-09-07  Teika Kazura <teika@lavabit.com>
	* lisp/rep/lang/doc.jl
	* lisp/rep/vm/compiler/rep.jl
	* src/rep_lisp.h
	* src/structures.c
	* src/symbols.c: Revereted the last edit on 29 Aug.
	They were replayed as better commits. See below.

	* src/rep_lisp.h
	* src/structures.c
	* src/symbols.c: Implements 'subr-structure'. Each subr now
	remembers the module it belongs to, and the new function
	'subr-structure' returns it.  This change is ABI
	incompatible. After this, you have to re-compile rep-gtk and
	sawfish in this order.
	It seems that struct rep_subr and rep_xsubr have to have the
	(almost) same members, because the subr lisp object is cast to
	both, depending on the need. So I added 'repv structure' to both,
	though one of rep_subr is never referred to.

	* lisp/rep/vm/compiler/rep.jl: Doc support for 'defun' in
	user-compiled file.
	Previously, docstring in defun is lost on byte-compilation done by
	user, i.e., when it's not saved in DOC.
	Fixes an error included in the reverted commit d83b5. It used to
	print debugging messages.

	* lisp/rep/lang/doc.jl: Function 'documentation' works for subr
	and macro, too.

	* TODO
	* lisp/rep/lang/doc.jl
	* lisp/rep/structures.jl
	* man/lang.texi
	* man/news.texi
	* src/rep_lisp.h
	* src/structures.c: Doc.
	Improved news. Some addition in TODO. Others.
	Doc of `structure-exports-p' is given.
	Doc of `intern-structure' is corrected.
	Doc on read syntax of character is improved.

	* lisp/rep/lang/doc.jl
	* man/lang.texi
	* man/news.texi: Doc on recent improvements on docstring and subr.
	Related news.
	Describes 'documentation' function in info.

	* man/lang.texi: Doc. Re-ordered sections in 'The language' chapter.

2010-08-29  Christopher Bratusek <zanghar@freenet.de>
	* lisp/rep/lang/doc.jl
	* lisp/rep/vm/compiler/rep.jl
	* src/rep_lisp.h
	* src/structures.c
	* src/symbols.c: improved documentation function, which returns
	the docstring of a variable or function. The previous implementation
	had several defuncts: - doesn't always work with a subr
			      - doesn't always work with a macro
			      - doesn't work for byte-compiled files
	This change is binary-incompatible! So you need to re-build rep-gtk
	and sawfish (sawfish-pager is not directly linked against librep)
	in that order. More descriptive docs are following. [Teika Kazura]

2010-07-24  Christopher Bratusek <zanghar@freenet.de>
	* debian/source/format: set 3.0 (native) source format

2010-07-20  Christopher Bratusek <zanghar@freenet.de>
	* man/news.texi: grammar'n'stuff

	* man/Makefile.in: build NEWS using --no-validate flag

2010-07-17  Teika Kazura <teika@lavabit.com>
	* AUTHORS
	* BUGS
	* HACKING
	* THANKS
	* TREE: Deleted. See the next entry.

	* MAINTAINERS
	* README
	* TODO
	* lisp/rep.jl
	* lisp/rep/lang/compat-doc.jl
	* lisp/rep/user.jl
	* man/interface.texi
	* man/lang.texi
	* man/librep.texi
	* man/news.texi
	* man/rep.1
	* man/repl.texi: Major doc revision. Reorganized documentation
	files. Deleted files are merged into info.
	For the details, read 0.90.7 news and git log
	4a3e91e2490..3f7a5aee3b1

	* lisp/rep.jl
	* lisp/rep/lang/interpreter.jl
	* man/lang.texi
	* man/news.texi: Introduced 'defvar-setq'.

2010-06-26  Teika Kazura <teika@lavabit.com>
	* lisp/rep/lang/interpreter.jl
	* lisp/rep/vm/bytecode-defs.jl
 	* lisp/rep/vm/compiler/rep.jl
	* man/lang.texi
	* man/news.texi
	* src/bytecodes.h
	* src/lisp.c: Backtrace and debugger option fix.
	Previously, if 'backtrace-on-error' is t, then it is printed even if
	it's inside of a 'condition-case'. Now, it doesn't. Similar for
	'debug-on-error'.
	However, this edit is not perfect, but does not bring in any new
	inconvenience either. Read the news and the manual for the details.

	* man/news.texi
	* src/lisp.c: When you evaluate a closure, the module to which it
	belongs is printed, too.

	* librep.ebuild.in
	* man/lang.texi
	* man/news.texi
	* src/repint.h
	* src/structures.c: Doc.
	Declared that ebuild is not an official one.
	Internal 64-bit integer availability.
	Improved 'let' and fluid description.
	And so on.

2010-05-01  Teika Kazura <teika@lavabit.com>
	* man/news.texi
	* Src/unix_processes.c: Process execution failure emits a better
	message. It now shows the program name and arguments.

	* man/lang.texi: Minor doc improvements.

2010-04-03  Teika Kazura <teika@lavabit.com>
        * man/lang.texi
        * man/news.texi: Doc.
        More details on 'require'. Distinguishes import to module and
        loading to librep.
        Backslash as in ?\] is meaningless, but valid.
        Function 'signal'.
        Distinction between 'make-symbol' and 'intern'.
        Deleted one control code (C-x).

2010-02-02  Teika Kazura <teika@lavabit.com>
	* lisp/rep/io/file-handlers/tar.jl
	* man/lang.texi
	* man/news.texi:  Doc improvements. Describes 'string-split'. Correction in suffix handling of 'load'. Minor improvements in modules, cross references (let, define, defun), require and load.

2010-01-24  Christopher Bratusek <zanghar@freenet.de>
	* librep.spec.in: improved [Kim B. Heino]

2010-01-15  Christopher Bratusek <zanghar@freenet.de>
	* Makefile.in: remove librep.pc upon distclean, not gitlcean

2010-01-10  Christopher Bratusek <zanghar@freenet.de>
	* src/repint.h
	* src/repint_subrs.h
	* src/files.c
	* src/unix_files.c: renamed file-uid-p to file-uid and file-gid-p to file-gid

	* configure.in: version bump to 0.90.6

2010-01-07  Christopher Bratusek <zanghar@freenet.de>
	* src/memcmp.c
	* configure.in: cleanup for yesterdays commit

2010-01-06  Christopher Bratusek <zanghar@freenet.de>
	* src/alloca.c
	* config.h.in
	* configure.in
	* src/Makefile.in
	* src/main.c
	* src/unix_main.c: removed our own implementation of alloca, use libcs instead
	                   -- [Kim B. Heino]

2010-01-05  Christopher Bratusek <zanghar@freenet.de>
	* man/lang.texi: doc for file-uid-p file-gid-p

2010-01-05  Teika Kazura <teika@lavabit.com>
	* TODO
	* intl/l10nflist.c
	* lisp/rep/data.jl
	* lisp/rep/data/trie.jl
	* lisp/rep/io/file-handlers/remote/ftp.jl
	* lisp/rep/io/file-handlers/remote/rcp.jl
	* lisp/rep/io/file-handlers/remote/rep.jl
	* lisp/rep/io/file-handlers/tar.jl
	* lisp/rep/lang/doc.jl
	* lisp/rep/lang/interpreter.jl
	* lisp/rep/module-system.jl
	* lisp/rep/threads/condition-variable.jl
	* lisp/rep/threads/message-port.jl
	* lisp/rep/util/date.jl
	* lisp/rep/util/repl.jl
	* lisp/rep/vm/compiler.jl
	* lisp/rep/vm/compiler/basic.jl
	* lisp/rep/vm/compiler/bindings.jl
	* lisp/rep/vm/compiler/modules.jl
	* lisp/rep/vm/compiler/rep.jl
	* lisp/rep/vm/compiler/utils.jl
	* lisp/rep/www/cgi-get.jl
	* lisp/rep/www/quote-url.jl
	* src/bytecodes.h
	* src/continuations.c
	* src/datums.c
	* src/ffi.c
	* src/files.c
	* src/find.c
	* src/fluids.c
	* src/gettext.c
	* src/lisp.c
	* src/lispmach.c
	* src/lispmach.h
	* src/numbers.c
	* src/readline.c
	* src/record-profile.c
	* src/rep-remote.c
	* src/rep-xgettext.jl
	* src/rep_gh.h
	* src/rep_lisp.h
	* src/rep_regexp.h
	* src/repgdbm.c
	* src/repint.h
	* src/repsdbm.c
	* src/safemach.c
	* src/sockets.c
	* src/structures.c
	* src/symbols.c
	* src/tables.c
	* src/timers.c
	* src/unix_files.c
	* src/unix_main.c
	* src/unix_processes.c
	* src/values.c: Deleted ctrl-l

	* man/interface.texi
	* man/lang.texi: Minor doc improvements.

	* lisp/rep/vm/compiler/rep.jl
	* man/news.texi: Bugfix in byte compiler of lost docstring. See git log for the details.

2010-01-04  Christopher Bratusek <zanghar@freenet.de>
	* debian/librep9.symbols
	* src/repint.h
	* src/repint_subrs.h
	* src/files.c
	* src/unix_files.c
	* src/librep.sym: added file-uid-p and file-gid-p

2010-01-03  Christopher Bratusek <zanghar@freenet.de>
	* debian/rules: don't remove config.{guess,sub} on rules/clean

	* librep.spec.in: don't call autogen.sh

	* debian/changelog.in: s/+0200/+0100/

	* Makefile.in: + rename realclean target to gitclean
	               + instead of removing generated packging-script files upon
		        `distclean', remove them on `gitclean'
		       + call fakeroot debian/rules clean

	* debian/control.in: removed debian-specific bits

	* autogen.sh: call gitclean instead of distclean

2010-01-02  Christopher Bratusek <zanghar@freenet.de>
	* autogen.sh: added --nocfg flag for not running configure afterwards

	* librep.spec.in: improved [Kim B. Heino]

	* man/news.texi: updated

2010-01-01  Christopher Bratusek <zanghar@freenet.de>
	* debian/librep-dev.install
	* librep.spec.in
	* librep.pc.in
	* src/Makefile.in: install headers to $includedir/rep/ instead of $includedir

	* librep.pc.in: removed empty Requires: field

	* man/news.texi: updated

2009-12-29  Christopher Bratusek <zanghar@freenet.de>
	* configure.in
	* config.h.in
	* src/dlmalloc.c: removed our own dlmalloc, as it breaks on several arches,
	                  and is never in use since years [Kim B. Heino]

	* man/news.texi: updated

	* configure.in
	* debian/control.in: generate debian/control from template

2009-12-07  Christopher Bratusek <zanghar@freenet.de>
	* man/Makefile.in: don't hardcode /usr in manpage installation path

2009-12-05  Christopher Bratusek <zanghar@freenet.de>
	* configure.in: bumped library version to 9.4.1

	* configure.in
	* librep.pc.in
	* debian/rules
	* librep.spec.in
	* Makedefs.in: use $prefix/lib instead of $prefix/libexecdir to satisfy FHS

	* man/news.texi: updated

2009-11-13  Christopher Bratusek <zanghar@freenet.de>
	* configure.in: post-release version-bump to 0.90.4

	* src/numbers.c
	* src/repint.h: fixups for OpenBSD [Jasper Lievisse Adriaanse]

2009-10-24  Christopher Bratusek <zanghar@freenet.de>
	* librep.spec.in
	* man/Makefile.in
	* man/rep.1
	* man/repdoc.1
	* man/rep-remote.1
	* man/rep-xgettext.1: added man-pages from Debian

	* debian/patches/00list
	* debian/changelog.in
	* debian/control
	* debian/compat
	* debian/copyright
	* debian/librep9.install.standard
	* debian/librep9.preinst
	* debian/librep9.symbols
	* debian/librep-dbg.links
	* debian/librep-dev.install.standard
	* debian/librep-dev.links
	* debian/librep-dev.lintian-overrides
	* debian/librep-dev.preinst
	* debian/README.source
	* debian/rep-doc.info
	* debian/rep-doc.install
	* debian/rep.install
	* debian/rep.links
	* debian/rules
	* debian/watch: added debian packaging scripts based on official one

2009-10-10  Christopher Bratusek <zanghar@freenet.de>
	* src/files.c
	* src/repint.h
	* src/repint_subrs.h
	* src/rep_subrs.h: added file-executable-p function

	* man/news.texi
	* man/lang.texi: updated

2009-09-24  Christopher Bratusek <zanghar@freenet.de>
	* librep.ebuild.in: improved [Fuchur] [Christopher Bratusek]

2009-09-13  Christopher Bratusek <zanghar@freenet.de>
	* librep.doap: added

2009-09-12  Christopher Bratusek <zanghar@freenet.de>
	* configure.in: bump version to 0.90.3
	                s/can't/cannot/
	                s/don't/do not/
			to prevent syntax highlighting errors (eg: in geany/vim)
			small improvements in a test [FreeBSD]

	* src/Makefile.in
	* src/rep-config.sh: removed rep-config script (use librep.pc instead)

2009-09-10  Christopher Bratusek <zanghar@freenet.de>
	* configure.in: fallback to old ffi check if there's no libffi.pc [Vincent Untz]

	* man/news.texi: updated

2009-09-05  Christopher Bratusek <zanghar@freenet.de>
	* librep.spec.in: improved [Kim B. Heino]

2009-08-25  Christopher Bratusek <zanghar@freenet.de>
	* configure.in: post-release version bump to 0.90.2

	* src/lisp.c: fixed an major defunct in prin1 + utf8 [Timo Korvola]

	* src/streams.c: wrong description of formats %s and %S

2009-08-22  Christopher Bratusek <zanghar@freenet.de>
	* src/rep.c: properly terminate rep interpreter [Jürgen Hötzel]

	* src/readline.c: save/load readline history in interactive mode [Jürgen Hötzel]

	* src/lisp.c
	* src/uft8.c: No C++ style comments in C code

2009-07-25  Christopher Bratusek <zanghar@freenet.de>
	* librep.pc.in: add -L$prefix to libs

2009-07-24  Christopher Bratusek <zanghar@freenet.de>
	* emulate-gnu-tar
	* lisp/rep/io/file-handlers/tar.jl: added support for tar.xz and tar.lzma

	* lisp/rep/io/file-handlers/tar.jl: improved regex for parsing tar output [Alexey I. Froloff]

	* src/ffi.c: improved ffi-binding [Alexey I. Froloff]

	* src/librep.sym: added some missing entries [Alexey I. Froloff]

2009-07-15  Christopher Bratusek <zanghar@freenet.de>
	* configure.in
	* Makedefs.in
	* src/Makefile.in: update checks for libffi

2009-07-11  Christopher Bratusek <zanghar@freenet.de>
	* src/unix_processes.c: fix a definition

2009-07-02  Christopher Bratusek <zanghar@freenet.de>
	* configure.in: obligatory post-release version bump

	* .git: created 0.90.0 tag and pushed 0.17.4 tag

2009-06-30  Christopher Bratusek <zanghar@freenet.de>
	* man/lang.texi: updated for rep.util.utf8 [Teika Kazura]

	* src/lispcmds.c: fixed a typo [Teika Kazura]

	* src/utf8.c: improved copyright notice, removed unused macros [Teika Kazura]

2009-06-19  Christopher Bratusek <zanghar@freenet.de>
	* src/unix_processes
	* src/sdbm.c
	* src/sdbm_pair.c: removed 3 unused variables

2009-05-30  Christopher Bratusek <zanghar@freenet.de>
	* src/utf8.c: added UTF-8 Support! [Wang Diancheng]

2009-05-06  Christopher Bratusek <zanghar@freenet.de>
	* Makefile.in: remove tar target [Ritz]

	* configure.in: 0.17.4 released, bump to 0.90.0

	* lisp/scheme/
	* lisp/scheme.jl
	* lisp/unscheme/
	* lisp/unscheme.jl
	* lisp/rep/vm/compiler/scheme.jl
	* lisp/rep/vm/compiler/unscheme.jl: removed

	* lisp/rep/vm/compiler.jl
	* lisp/rep/user.jl
	* lisp/Makefile: updated

2009-05-05  Christopher Bratusek <zanghar@freenet.de>
	* man/lang.tex
	* man/librep.texi
	* man/news.texi: 'Numbers' section is revised, mainly on machine dependence. Minor improvements [Teika]

	* configure.in: small configures ending message update (from rep-gtk/sawfish)

2009-03-24  Christopher Bratusek <zangahr@freenet.de>
	* Makedefs.in: first define datarootdir then stuff that refers to it

	* man/news.texi: updated

2009-03-06  Christopher Bratusek <zanghar@freenet.de>
	* configure.in
	* Makedefs.in
	* intl/Makefile.in: don't ignore datarootdir setting

2009-03-05  Christopher Bratusek <zanghar@freenet.de>
	* configure.in: 0.17.3 released, bump to 0.17.4

2009-02-18  Christopher Bratusek <zanghar@freenet.de>
	* lisp/rep/io/file-handlers/tar.jl: BSD-Tar is not supported by librep, give users a useful warning message [Mark Diekhans]

2009-02-03  Christopher Bratusek <zanghar@freenet.de>
	* install-sh: added for libtool < 2.2

	* librep.spec.in: don't try to package librep.a and %{_infodir}/dir

	* autogen.sh: re-enable the use of autoheader

	* configure.in: fix templates (for autoheader)

2009-02-02  Christopher Bratusek <zanghar@freenet.de>
	* librep.pc.in: remove bogus entries

	* autogen.sh: don't use bash specific syntax [Mark Diekhans]

	* configure.in: improved ending message

2009-02-01  Christopher Bratusek <zanghar@freenet.de>
	* MAINTAINERS: updated my mail address

	* autogen.sh: work around an issue

	* librep.spec.in: - don't try to package non-existent rep.m4
			  - make sure emacs_lispdir is defined

2009-01-18  Christopher Bratusek <zanghar@freenet.de>
	* librep.spec.in: - update BuildRequires
	                  - merge changes from ritz's spec-file

2009-01-02  Christopher Bratusek <nano-master@gmx.de>
	* librep.spec.in: source-archive is .tar.bz2

2009-01-01  Christopher Bratusek <nano-master@gmx.de>
	* autogen.sh: reworked

	* m4: add m4 directory to shut up libtool 1.x

	* configure.in: begin rework

	* install-sh: don't ship this file

2008-12-30  Christopher Bratusek <nano-master@gmx.de>
	* librep.ebuild.in: don't leak copyright info and update keywords

2008-12-24  Christopher Bratusek <nano-master@gmx.de>
	* autogen.sh: fix libtool command for libtool >2.2

2008-12-20  Christopher Bratusek <nano-master@gmx.de>
	* configure.in
	* librep.ebuild.in: Added ebuild [Harald van Dijk]

	* librep.pc.in: Complete Libs: Section

	* Makefile.in: upon distclean also remove the ebuild and configure

2008-12-18  Christopher Bratusek <nano-master@gmx.de>
	* rep.m4
	* librep.pc.in: drop rep.m4, instead improve the .pc file

	* librep.spec.in
	* Makefile.in: updated accordingly

	* configure.in: add -L/lib${libsuff} to READLINE_LIBS [T2 Patch]

	* src/main.c: mark check_configuration as not inlineable to fix build on ppc64 [Marcus Comstedt]

	* man/news.texi: Updated NEWS

	* src/fake-libexec: small fixup [SuSE]

	* src/rep-config.sh: no rpath [Fedora]

2008-11-22  Christopher Bratusek <nano-master@gmx.de>
	* MAINTAINERS: added me

2008-10-23  Christopher Bratusek <nano-master@gmx.de>
	* configure.in: 0.17.2 snapshot released, bump to 0.17.3

2008-10-18  Christopher Bratusek <nano-master@gmx.de>
	* src/numbers.c: fix an issue with FreeBSD [patch from FreeBSD]

	* src/numbers.c: improve a function [patch from FreeBSD]

	* src/librep.sym: rep_file_fdopen has not been listed

	* Makedefs.in
	* src/Makefile.in
	* intl/Makefile.in
	* rules.mk.sh: added --tag=CC to libtool in serveral places

	* Makedefs.in
	* src/Makefile.in: don't ignore $LDFLAGS upon build

	* src/sdbm.c: drop some useless code [NetBSD patch]

	* man/news.texi: updated

2008-10-01  Christopher Bratusek <nano-master@gmx.de>
	* BUGS: updated

	* HACKING: updated

	* README: updated

	* man/news.texi: updated

2008-09-02  Christopher Bratusek <nano-master@gmx.de>
	* configure.in: another fixup

2008-08-29  Christopher Bratusek <nano-master@gmx.de>
	* src/rep-subrs.h: replace the inclusion of config.h
	with a ifdef doing what we want

	* configure.in: fixup

	* Makefile.in: create $(DESTDIR)/$(libdir)/pkgconfig
	before installing the .pc file

2008-08-14  Christopher Bratusek <nano-master@gmx.de>
	* configure.in: AC_PROG_LIBTOOL not AM_PROG_LIBTOOL

	* autogen.sh: change accordingly

	* .cvsignore
	* */.cvsignore: add svn:ignore property and remove all
	.cvsignore files

	* configure.in: 0.17.1 released, bump to 0.17.2

2008-08-11  Christopher Bratusek <nano-master@gmx.de>
	* src/dlmalloc.c: replace // comments with /* */

	* src/rep_subrs.h: add #include "../config.h" for #define inline

2008-08-08  Christopher Bratusek <nano-master@gmx.de>
	* src/rep_subrs.h: another fixup. lets us compile
		sawfish with paranoia cflags and seems not
		to break anything.

	* man/nes.texi: updated NEWS

	* src/unix_main.c: fixup

2008-08-06  Christopher Bratusek <nano-master@gmx.de>
	* Makedefs.in: add --no-split to makeinfo (FreeBSD patch)

	* configure.in: print useful things at the end
		- add --enable-paranoia
			(compile with paranoia CFLAGS)

2008-08-05  Christopher Bratusek <nano-master@gmx.de>
	* BUGS
	* HACKING: updated information

	* configure.in: bump version to 0.17.1

	* librep.spec.in: update the spec file

	* autogen.sh: add --force --copy to libtoolize flags

	* src/*: started code-cleanup

	* configure.in
	* Makefile.in
	* librep.pc.in: added a .pc file for librep

	* src/unix_files.c: Trim trailing '/' to mkdir(2) since some
			OSes fail the call otherwise (NetBSD patch)

	* src/rep-xgettext.jl: use correct shebang (ALT-Linux patch)

	* man/news.texi: add {define-special-variable} (Debian patch)

	* rules.mk.sh: add --tag CC to libtool (Debian patch)

	* src/main.c: replace a static void with a void (Debian patch)

2006-06-02  John Harper  <jsh@unfactored.org>

	* rep.m4: fix for newer m4, from Michal Jaegermann

2006-01-31  John Harper  <jsh@unfactored.org>

	* configure.in: fixed test for LC_MESSAGES to use new autoconf
	macro (gt_LC_MESSAGES not AM_LC_MESSAGES)

2003-11-24  John Harper  <jsh@unfactored.org>

	* configure.in: version 0.17, bumped library revision

	* configure.in: $prefix can be set to "NONE" sometimes?

2003-09-03  John Harper  <jsh@unfactored.org>

	* configure.in: fixes for compiling in a weird ${prefix}; Mac
	OS X fixes; other fixes

	* test, configure.in, Makefile.in, Makedefs.in: "DOC" file is
	now called "doc-strings" to avoid clashing with "doc" build
	directory in case folding filesystems

2003-07-26  John Harper  <jsh@unfactored.org>

	* configure.in, config.h.in, Makedefs.in: updated for libffi

2003-02-25  John Harper  <jsh@unfactored.org>

	* configure.in: version 0.16.2

2002-06-22  John Harper  <jsh@unfactored.org>

	* configure.in: version 0.16.1

2002-06-20  John Harper  <jsh@unfactored.org>

	* configure.in: version 0.16

2002-04-21  John Harper  <jsh@unfactored.org>

	* configure.in: don't AC_SUBST(LIBOBJS), doesn't work on
	autoconf 2.53, patch from Murray Cumming <murrayc@t-online.de>

2002-04-13  John Harper  <jsh@unfactored.org>

	* man/Makefile.in: use --info-dir when calling install-info

2002-02-20  John Harper  <jsh@unfactored.org>

	* configure.in: don't ever compile our own dlmalloc, it breaks
	on too many platforms

2001-12-02  John Harper  <jsh@unfactored.org>

	* configure.in: don't use dlmalloc on sparcs

2001-11-17  John Harper  <jsh@unfactored.org>

	* Makedefs.in: don't use `libtool --mode=execute' in
	$(rep_prog), just call the script directly

2001-10-28  John Harper  <jsh@unfactored.org>

	* configure.in: version 0.15.2

2001-10-03  John Harper  <jsh@unfactored.org>

	* version 0.15.1

	* build-info: don't try to find domainname, we don't need it

2001-10-01  John Harper  <jsh@unfactored.org>

	* configure.in: version 0.15

	* configure.in: check for __gmp_randinit () if gmp is found,
	and define HAVE_GMP_RANDINIT if so

2001-09-15  John Harper  <jsh@unfactored.org>

	* config.h.in: removed spurious close-comment from after
	`#undef HAVE_MEMORY_H'

2001-09-14  John Harper  <jsh@pixelslut.com>

	* configure.in: bumped libcurrent and libage

2001-08-09  John Harper  <jsh@pixelslut.com>

	* rep-debugger.el: fixed for new debugger command line option
	names

2001-08-07  John Harper  <jsh@pixelslut.com>

	* configure.in, Makedefs.in, Makefile.in, librep.spec.in:
	install rep-debugger.el into the emacs site-lisp directory (in
	our $prefix)

	* rep-debugger.el: emacs code to make GUD mode work with rep's
	new source debugging support

2001-07-02  John Harper  <jsh@pixelslut.com>

	* configure.in: version 0.14, incremented library revision
	number

2001-06-20  John Harper  <jsh@pixelslut.com>

	* Makefile.in: fixed SUBDIRS commands to exit if an error
	occurs

2001-06-14  John Harper  <jsh@pixelslut.com>

	* configure.in, config.h.in: check for crypt () in default libs
	and in -lcrypt

2001-04-16  John Harper  <jsh@eazel.com>

	* configure.in, config.h.in: check for <sys/dl.h> and define
	HAVE_SYS_DL_H if present (needed on UnixWare)

2001-04-09  John Harper  <jsh@eazel.com>

	* configure.in: changed version string to 0.14-pre now there's
	a 0.13.6 on a branch

2001-03-26  John Harper  <jsh@eazel.com>

	* Makefile.in, man/Makefile.in: added `check' targets

2001-03-22  John Harper  <jsh@eazel.com>

	* configure.in: version 0.13.5, bumped library revision number

2001-03-12  John Harper  <jsh@eazel.com>

	* emulate-gnu-tar, Makefile.in: new script, emulates the
	options of GNU tar that the tar file-handler uses, but using
	hopefully generic tar options and separate decompression
	programs. Used tar option combinations are `tvf -' and `xf -
	[FILE]'

2001-02-20  John Harper  <jsh@eazel.com>

	* configure.in: on Solaris use /usr/ccs/lib/cpp (patch from
	albert chin <china@thewrittenword.com>)

2001-01-17  John Harper  <jsh@eazel.com>

	* librep.spec.in: unset LC_ALL, LINGUAS and LANG before
	building

2001-01-15  John Harper  <jsh@eazel.com>

	* configure.in: delete the rules.mk file each time AC_OUTPUT is
	run (since it can contain stale values, and the rule to rebuild
	it doesn't work for the top-level Makefile since it's included
	first)

	* rules.mk.sh: removed repdocfile definition, it's not used by
	anything and can confuse the librep build process

2001-01-04  John Harper  <jsh@eazel.com>

	* configure.in: version 0.13.4

2000-12-27  John Harper  <jsh@eazel.com>

	* rules.mk.sh: removed the `-export-symbols-regex' option, it's
	not possible to just export `rep_dl_foo' symbols..

2000-12-06  John Harper  <jsh@eazel.com>

	* install-aliases (dosome): patch from Peter Teichman
	<peter@helixcode.com> to avoid clobbering a variable that's
	needed in the next iteration of the loop

2000-12-03  John Harper  <jsh@eazel.com>

	* configure.in: version 0.13.3

2000-11-21  John Harper  <jsh@eazel.com>

	* rules.mk.sh: rename repexecdir variable as repcommonexecdir
	so it doesn't conflict with Makedefs.in (shouldn't affect other
	users of this file.. I hope)

2000-11-15  John Harper  <jsh@eazel.com>

	* Makedefs.in: include rules.mk and redefine $(rep_DL_LIBTOOL)
	to the uninstalled local libtool

	* rules.mk.sh: in $(rep_DL_LD) macro, specify
	-export-symbols-regex option to libtool to only retain symbols
	whose names begin with `rep_dl_'

2000-10-23  John Harper  <jsh@eazel.com>

	* configure.in: version 0.13.2

2000-10-18  John Harper  <john@dcs.warwick.ac.uk>

	* Makefile.in: fix repdoc dependences to refer to the actual
	file

2000-10-11  John Harper  <john@dcs.warwick.ac.uk>

	* install-aliases: add extra-paranoid quoting

	* configure.in: new option --enable-full-name-terminator (sets
	existing preprocessor symbol FULL_NAME_TERMINATOR)

2000-10-06  John Harper  <john@dcs.warwick.ac.uk>

	* install-aliases: try to rename libFOO.* as well as FOO.*. On
	some systems libtool creates module libraries with a `lib'
	prefix

2000-09-29  John Harper  <john@dcs.warwick.ac.uk>

	* librep.spec.in: override infodir in `make install' command

2000-09-28  John Harper  <john@dcs.warwick.ac.uk>

	* configure.in: version 0.13.1

2000-09-27  John Harper  <john@dcs.warwick.ac.uk>

	* configure.in, config.h.in: check for strncasecmp ()

2000-09-20  John Harper  <john@dcs.warwick.ac.uk>

	* configure.in: version 0.13

2000-09-19  John Harper  <john@dcs.warwick.ac.uk>

	* build-info: use `$LOCALDOMAIN', then `dnsdomainname', before
	falling back to `domainname'

2000-09-10  Karl M. Hegbloom  <karlheg@debian.org>

	* man/Makefile.in (librep.pdf): New target

	* Makedefs.in (TEXI2PDF): New variable

2000-09-13  John Harper  <john@dcs.warwick.ac.uk>

	* configure.in: version 0.13pre2

2000-09-08  John Harper  <john@dcs.warwick.ac.uk>

	* configure.in: removed hack to look in etc for install-sh

	* man/repl.texi: new chapter `The REPL'

2000-09-05  John Harper  <john@dcs.warwick.ac.uk>

	* configure.in: adapted patch from Jacob for weird debian gmp
	header file location. Misc other changes to gmp checks

2000-09-04  John Harper  <john@dcs.warwick.ac.uk>

	* librep.spec.in: added `--with-extra-cflags=-fstrength-reduce'
	to configure. RH force -fno-strength-reduce on i386, this leads
	to too much register pressure in the vm, spilling one of the
	fixed regs..

	* configure.in: version to 0.13pre1

2000-09-01  John Harper  <john@dcs.warwick.ac.uk>

	* librep.spec.in: added `Requires: gdbm >= 1.8' to avoid gdbm
	brain-damage

	* librep.spec.in: install rep_config.h in -devel pkg

2000-08-31  John Harper  <john@dcs.warwick.ac.uk>

	* configure.in: create rep_config.h instead of rep.h

2000-08-29    <john@dcs.warwick.ac.uk>

	* librep.spec.in: librep-devel requires exactly @version@ of
	librep package

2000-08-17  John Harper  <john@dcs.warwick.ac.uk>

	* configure.in: add -Wpointer-arith when gcc, only add
	-Wno-implicit-int on solaris

2000-08-11  John Harper  <john@dcs.warwick.ac.uk>

	* configure.in: an additional option for configure,
	--with-readline-prefix, to specify an alternate path for the
	readline include/library files (from Albert Chin-A-Young
	<china@thewrittenword.com>)

2000-08-03  John Harper  <john@dcs.warwick.ac.uk>

	* configure.in, config.h.in: check for strtoq () as well as
	strtoll ()

2000-08-01  John Harper  <john@dcs.warwick.ac.uk>

	* intl/intl-compat.c, intl/Makefile.in: removed my edits, intl/
	has no differences to standard gettext intl/ now

	* autogen.sh: new script

	* configure.in: removed ranlib check, remove aux-dir decl.
	Added check for <libintl.h> if gettext is in libc

	* etc/regexp.patch, etc/gc-cons: deleted

	* etc/install-sh: moved to top-level directory

	* etc/ltmain.sh, etc/ltconfig, etc/config.sub,
	etc/config.guess: deleted, use libtoolize to create these

2000-07-29  John Harper  <john@dcs.warwick.ac.uk>

	* configure.in: signal an error if no gmp and --without-gmp
	wasn't given (the error message says to use --without-gmp if
	that's want is wanted)

2000-07-28  John Harper  <john@dcs.warwick.ac.uk>

	* Makedefs.in: in COMPILE_ENV changed REPEXECDIR to
	REP_DL_LOAD_PATH

	* configure.in: set GMP_LIBS to -lm if not using gmp

2000-07-24  John Harper  <john@dcs.warwick.ac.uk>

	* install-aliases: don't use -h or -H options to grep. Solaris
	grep chokes on -H and neither are needed anyway

	* librep.spec.in: added install-aliases

2000-07-23  John Harper  <john@dcs.warwick.ac.uk>

	* librep.spec.in: added rep_INSTALL_ALIASES

	* configure.in: version 0.13-pre, bumped libcurrent and libage

	* install-aliases: script to extract and create aliases from
	source files (C or Lisp). Installed into $(repcommonexecdir)

2000-07-20  John Harper  <john@dcs.warwick.ac.uk>

	* configure.in: version 0.12.4, bumped ${librevision}

	* Makedefs.in: set libtool mode explicitly
	* rules.mk.sh: set libtool mode explicitly; include -rpath
	option
	(from David Kaelbling <drk@sgi.com>)

2000-07-15  John Harper  <john@dcs.warwick.ac.uk>

	* configure.in: added `--without-gmp' and
	`--disable-continuations' options

	* config.h.in: added HAVE_STRTOLL, WITH_GMP, WITH_CONTINUATIONS

2000-07-13  John Harper  <john@dcs.warwick.ac.uk>

	* configure.in: redirect stderr to /dev/null when trying to run
	`aclocal --print-ac-dir'. Apparently this avoids errors if
	aclocal isn't installed (patch from Albert Chin-A-Young
	<china@thewrittenword.com>)

2000-07-12  John Harper  <john@dcs.warwick.ac.uk>

	* configure.in: version 0.12.3, bumped ${librevision}

2000-07-10  John Harper  <john@dcs.warwick.ac.uk>

	* configure.in: just use ${host_cpu} when checking for known
	stack growth directions

	* librep.spec.in: replaced `/usr/info' by `%{_infodir}'

2000-07-06  John Harper  <john@dcs.warwick.ac.uk>

	* Makefile.in, lisp/Makefile.in, man/Makefile.in,
	src/Makefile.in: updated to partially build in a separate
	directory. This still doesn't work for Lisp sources (adapted
	from Martin Pottendorfer <pottendo@utanet.at>)

2000-06-29  John Harper  <john@dcs.warwick.ac.uk>

	* Makefile.in: added repexecdir to installdirs target (for DOC)

2000-06-22  John Harper  <john@dcs.warwick.ac.uk>

	* configure.in: version 0.12.2, incremented librevision

2000-06-18  John Harper  <john@dcs.warwick.ac.uk>

	* configure.in: version 0.12.1, incremented librevision

	* configure.in, config.h.in: check sizeof long and long long
	(if available), from George Lebl <jirka@5z.com>

2000-06-16  John Harper  <john@dcs.warwick.ac.uk>

	* configure.in: fixed typo when checking for shl_load in libdld

	* configure.in: version 0.12

	* configure.in: check libdld for shl_load

2000-06-09  John Harper  <john@dcs.warwick.ac.uk>

	* Makefile.in: added distclean target as alias for realclean

	* configure.in: changed --with-gmp and --with-gdbm to be more
	conventional --with-gmp-prefix and --with-gdbm-prefix

	* configure.in: when extracting dependences from C files using
	GCC, use `-MM' not `-MM -MG' (from Brad Thompson <yak@mit.edu>)

2000-06-07  John Harper  <john@dcs.warwick.ac.uk>

	* configure.in, Makefile.in: moved DOC file to ${repexecdir}
	since GDBM databases are endian-specific

	[ this is sub-optimal, since the lisp files are shared, but
	it's okay for now .. ]

2000-05-31  Karl M. Hegbloom  <karlheg@debian.org>

	* Makefile.in (TAGS): Use --regex to grab DEFSTRING, DEFSYM,
	DEFUN, and DEFUN_INT information also.
	(TAGS tags): add lowercase target name for lazy typists.

